Mandriva Linux Security Advisory : sarg (MDVSA-2009:073)

Critical Nessus Plugin ID 37855


The remote Mandriva Linux host is missing a security update.


Various stack-based buffer overflows were discovered and corrected in sarg :

Additionally the previous release fixed CVE-2008-1922, CVE-2008-7249, CVE-2008-7250

The updated packages have been patched to correct these issues.


Update the affected sarg package.

Plugin Details

Severity: Critical

ID: 37855

File Name: mandriva_MDVSA-2009-073.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2009/04/23

Modified: 2016/11/28

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:ND

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:sarg, cpe:/o:mandriva:linux:2008.0

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2009/03/10

Reference Information

CVE: CVE-2008-1922, CVE-2008-7249, CVE-2008-7250

BID: 29141

MDVSA: 2009:073

CWE: 79, 119